#!/bin/sh

#
# $Id: update-ref-console.sh,v 1.1 2002/09/20 17:05:18 rgb Exp $
#
# use this script to update the console reference output from the last
# run of tests, for a list of tests (directories) supplied on the
# command line, space delimited.  Start this from testing/klips, listing
# all the test names (directories), space-separated.

. ../utils/functions.sh


for i in $*
do
	echo $i:
	if [ -d $i ] 
	then
		if [ -f $i/testparams.sh ]
		then
			. $i/testparams.sh
			compat_variables;
			if [ -n "$REF_CONSOLE_OUTPUT" ]
			then
				cp -a $i/OUTPUT/console-fixed.txt $i/$REF_CONSOLE_OUTPUT
				echo $i/OUTPUT/console-fixed.txt $i/$REF_CONSOLE_OUTPUT
			fi
		fi
	fi
	REF_CONSOLE_OUTPUT=""
	REFCONSOLEOUTPUT=""
done

# $Log: update-ref-console.sh,v $
# Revision 1.1  2002/09/20 17:05:18  rgb
# # This script is to update the console reference output from the last
# # run of tests, for a list of tests (directories) supplied on the
# # command line, space delimited.
#
#
